org.apache.maven.plugin.resources

## Class ReflectionProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - org.apache.maven.plugin.resources.ReflectionProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

Deprecated.
use classes in the component maven-filtering TODO remove the class ?

    public class ReflectionProperties
    extends Properties

Version:
  $Id: ReflectionProperties.java 695189 2008-09-14 11:09:20Z bentmann $
Author:
  Andreas Hoheneder (ahoh_at_inode.at)
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.Properties

`defaults`

### Constructor Summary

Constructors
Constructor and Description
`ReflectionProperties(org.apache.maven.project.MavenProject aProject, boolean escapedBackslashesInFilePath)` Deprecated.

### Method Summary

Methods
`Object` `get(Object key)` Deprecated.

### Methods inherited from class java.util.Properties

`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReflectionProperties

    public ReflectionProperties(org.apache.maven.project.MavenProject aProject,
                        boolean escapedBackslashesInFilePath)

Deprecated.

### Method Detail

#### get

    public Object get(Object key)

Deprecated.

Specified by:
  `get` in interface `Map<Object,Object>`
Overrides:
  `get` in class `Hashtable<Object,Object>`